# holzleitner_api.model.ScanState

## Load the model package
```dart
import 'package:holzleitner_api/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**creditedQuantity** | **int** | Als Gutschrift entfernte Menge (0..=required_quantity). Eigene Dimension neben `scanned_quantity`: „wie viele Stück dieser Zeile hat der Kunde nicht angenommen\". `status == Removed` entspricht `credited_quantity == required_quantity` (ganze Zeile gutgeschrieben). | 
**heldReason** | **String** | Grund bei `status == Held` oder `status == Removed`. | [optional] 
**lastUpdatedAt** | [**DateTime**](DateTime.md) |  | 
**scannedQuantity** | **int** |  | 
**status** | [**ScanStatus**](ScanStatus.md) |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


